<?php

namespace Drupal\monarch_migration_d7\Plugin\MigrationMapper;

use Drupal\migrate\Row;

/**
 * Maps fields.
 *
 * @MigrationMapper(
 *   id = "monarch_migration_d7_node",
 *   migration = "node",
 *   weight = -9999,
 * )
 */
class Node extends MigrationMapperD7Base {

  /**
   * {@inheritdoc}
   */
  public function processRow(Row $row) {
    $row->setDestinationProperty('type', $row->getSourceProperty('type'));
    $row->setDestinationProperty('nid', $row->getSourceProperty('tnid'));
    $row->setDestinationProperty('vid', $row->getSourceProperty('vid'));
    $row->setDestinationProperty('title', $row->getSourceProperty('title'));
    $row->setDestinationProperty('uid', $row->getSourceProperty('node_uid'));
    $row->setDestinationProperty('status', $row->getSourceProperty('status'));
    $row->setDestinationProperty('created', $row->getSourceProperty('created'));
    $row->setDestinationProperty('changed', $row->getSourceProperty('timestamp'));
    $row->setDestinationProperty('promote', $row->getSourceProperty('promote'));
    $row->setDestinationProperty('sticky', $row->getSourceProperty('sticky'));
    $row->setDestinationProperty('revision_uid', $row->getSourceProperty('revision_uid'));
    $row->setDestinationProperty('revision_log', $row->getSourceProperty('log'));
    $row->setDestinationProperty('revision_timestamp', $row->getSourceProperty('timestamp'));
    $row->setDestinationProperty('content_translation_source', $row->getSourceProperty('source_langcode'));
  }

}
